# Add more folders to ship with the application, here
folder_01.source = qml
folder_01.target =
DEPLOYMENTFOLDERS = folder_01

# Additional import path used to resolve QML modules in Creator's code model
QML_IMPORT_PATH =

symbian:TARGET.UID3 = 0xE73D2912

# Smart Installer package's UID
# This UID is from the protected range and therefore the package will
# fail to install if self-signed. By default qmake uses the unprotected
# range value if unprotected UID is defined for the application and
# 0x2002CCCF value if protected UID is given to the application
#symbian:DEPLOYMENT.installer_header = 0x2002CCCF

# Allow network access on Symbian
symbian:TARGET.CAPABILITY += NetworkServices

# If your application uses the Qt Mobility libraries, uncomment the following
# lines and add the respective components to the MOBILITY variable.
MOBILITY += systeminfo

# Speed up launching on MeeGo/Harmattan when using applauncherd daemon
# CONFIG += qdeclarative-boostable

# Add dependency to Symbian components
# CONFIG += qt-components

CONFIG += declarative qdbus
maemo5 {
    CONFIG += mobility12
} else {
  CONFIG += mobility
}

# The .cpp file which was generated for your project. Feel free to hack it.
SOURCES += cpp/main.cpp \
        cpp/core/profile.cpp \
        cpp/core/profilercontroller.cpp \
        cpp/test/testactions.cpp \
        cpp/test/testconditions.cpp \
        cpp/config/configreader.cpp \
        cpp/config/configwriter.cpp \
    cpp/config/configmanipulator.cpp \

HEADERS += cpp/interface/coreinterface.h \
        cpp/interface/conditioninterface.h \
        cpp/interface/actioninterface.h \
        cpp/core/profile.h \
        cpp/core/profilercontroller.h \
        cpp/core/utils.h \
        cpp/test/testconditions.h \
        cpp/test/testactions.h \
        cpp/config/configreader.h \
        cpp/config/configwriter.h \
    cpp/config/configmanipulator.h \

# Please do not modify the following two lines. Required for deployment.
include(qmlapplicationviewer/qmlapplicationviewer.pri)
qtcAddDeployment()

#INSTALLS += service
#service.path = /usr/share/dbus-1/services
#service.files += ./org.indt.profilertam

OTHER_FILES += \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog \
    TODO.txt \
    org.indt.profilertam

RESOURCES += \
	resources.qrc























maemo5 {
    desktopfile.files = application.desktop
    desktopfile.path = /usr/share/applications/hildon
    INSTALLS += desktopfile
}

maemo5 {
    icon.files = application.png
    icon.path = /usr/share/icons/hicolor/64x64/apps
    INSTALLS += icon
}
